Skip to main content
GET
/
conversations
/
facebook
/
{conversation_id}
/
messages
List messages in a conversation
curl --request GET \
  --url https://community.dashsocial.com/conversations/facebook/{conversation_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "text": "<string>",
      "attachments": [
        {
          "height": 123,
          "src": "<string>",
          "type": "<string>",
          "width": 123
        }
      ],
      "brand_user_reply": {
        "brand_id": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "id": 123,
        "resource_id": 123,
        "updated_at": "2023-11-07T05:31:56Z",
        "user_id": 123
      },
      "conversation_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "facebook_created_at": "2023-11-07T05:31:56Z",
      "facebook_message_id": "<string>",
      "facebook_seen_at": "2023-11-07T05:31:56Z",
      "from_participant_id": 123,
      "id": 123,
      "is_dh_unsupported": true,
      "send_failed": true,
      "to_participant_id": 123,
      "type": "<string>",
      "updated_at": "2023-11-07T05:31:56Z",
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "paging": {
    "count": 123,
    "next": "<string>",
    "previous": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

conversation_id
integer
required

The ID of the conversation to post a message to

Required range: x >= 0

Query Parameters

limit
integer
default:100

Number of results to return in a single response.

offset
integer
default:0

The offset of the first result to be returned.

sort
enum<string>

Sort of the messages.

Available options:
-CREATED_AT,
CREATED_AT
must_include_text
boolean

Fetch messages that have text

created_on_or_after
string<date-time>

Fetch messages on or after this date.

created_on_or_before
string<date-time>

Fetch messages on or before this date.

Response

OK

data
object[]
read-only

A list of messages.

paging
object

Pagination data